Page MenuHomePhabricator

[mips][microMIPS] Disassembler tests for LWXS, BGEZALS, BLTZALS, BEQZC, BNEZC, JALS and JALRS instructions
ClosedPublic

Authored by jkolek on Sep 19 2014, 7:07 AM.

Details

Summary

Disassembler tests for new microMIPS 32-bit instructions: LWXS, BGEZALS, BLTZALS, BEQZC, BNEZC, JALS and JALRS.

Diff Detail

Event Timeline

jkolek updated this revision to Diff 13867.Sep 19 2014, 7:07 AM
jkolek retitled this revision from to [mips][microMIPS] Disassembler tests for LWXS, BGEZALS, BLTZALS, BEQZC, BNEZC, JALS and JALRS instructions.
jkolek updated this object.
jkolek edited the test plan for this revision. (Show Details)
jkolek added reviewers: dsanders, vmedic.
jkolek added a subscriber: zoran.jovanovic.
sstankovic added inline comments.Nov 14 2014, 9:43 AM
test/MC/Disassembler/Mips/micromips.txt
317

Disassembler currently doesn't support jalrs with only one register (where $ra is implicit). I think it should be implemented. Also, add a testcase for it.

sstankovic added inline comments.Nov 14 2014, 9:49 AM
test/MC/Disassembler/Mips/micromips.txt
317

Sorry, I meant assembler. But this should probably be part of a separate patch. (You may optionally add a TODO comment for it). So, this patch LGTM.

sstankovic accepted this revision.Nov 14 2014, 9:50 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Nov 14 2014, 9:50 AM
jkolek edited edge metadata.Nov 18 2014, 5:40 AM
jkolek added a subscriber: Unknown Object (MLST).
jkolek closed this revision.Nov 19 2014, 3:54 AM